# Generated by Django 5.1.8 on 2025-07-10 11:01

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('extras', '0123_journalentry_kind_default'),
        ('tenancy', '0017_natural_ordering'),
    ]

    operations = [
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('status', models.CharField(max_length=50)),
                ('comments', models.TextField(blank=True)),
                ('name', models.CharField(max_length=2000)),
                ('nameserver_1', models.CharField(blank=True, max_length=255, null=True)),
                ('nameserver_2', models.CharField(blank=True, max_length=255, null=True)),
                ('nameserver_3', models.CharField(blank=True, max_length=255, null=True)),
                ('nameserver_4', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateField(null=True)),
                ('reneval_date', models.DateField(null=True)),
                ('cancellation_date', models.DateField(null=True)),
                ('term', models.TextField(blank=True)),
                ('adminc', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain_adminc', to='tenancy.contact')),
                ('ownerc', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain_ownerc', to='tenancy.contact')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('techc', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain_techc', to='tenancy.contact')),
                ('tenant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain', to='tenancy.tenant')),
                ('tenant_group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain_tenant_group', to='tenancy.tenantgroup')),
                ('zonec', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='domain_zonec', to='tenancy.contact')),
            ],
            options={
                'verbose_name': 'Domain',
                'verbose_name_plural': 'Domains',
            },
        ),
    ]
